# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.extensions
Class Where

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.extensions.Where

All Implemented Interfaces:
  Extension

    public class Where

extends ExtensionPoint
implements Extension

GData schema extension describing a place (not necessarily a specific geographical location).

Nested Class Summary
`static class` `Where.Rel` Relation type.

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`protected EntryLink<?>` `entryLink` Nested person or venue (Contact) entry.
`protected java.lang.String` `label` User-readable label that identifies this location in case multiple locations may be present.
`protected java.lang.String` `rel` Describes the meaning of this location.
`protected java.lang.String` `valueString` Text description of the place.

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`Where()` Constructs an empty Where instance.
`Where(java.lang.String rel, java.lang.String label, java.lang.String valueString)` Constructs a new Where instance using the specified parameters.

Method Summary
`void` `generate(com.google.gdata.util.common.xml.XmlWriter w, ExtensionProfile extProfile)` Generates an XML representation for the extension.
`static ExtensionDescription` `getDefaultDescription()` Returns the suggested extension description.
`EntryLink<?>` `getEntryLink()`
`XmlParser.ElementHandler` `getHandler(ExtensionProfile extProfile, java.lang.String namespace, java.lang.String localName, org.xml.sax.Attributes attrs)` The default implementation uses the `AbstractExtension.AttributesHandler` to handle parsing the extension.
`java.lang.String` `getLabel()`
`java.lang.String` `getRel()`
`java.lang.String` `getValueString()`
`void` `setEntryLink(EntryLink<?> v)`
`void` `setLabel(java.lang.String v)`
`void` `setRel(java.lang.String v)`
`void` `setValueString(java.lang.String v)`
`protected void` `visitChildren(ExtensionVisitor ev)` Called to visit all children of this extension point.

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, declareExtensions, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rel

    protected java.lang.String rel

  Describes the meaning of this location.

### label

    protected java.lang.String label

  User-readable label that identifies this location in case multiple locations may be present.

### valueString

    protected java.lang.String valueString

  Text description of the place.

### entryLink

    protected EntryLink<?> entryLink

  Nested person or venue (Contact) entry.

Constructor Detail

### Where

    public Where()

  Constructs an empty Where instance.

### Where

    public Where(java.lang.String rel,
                 java.lang.String label,
                 java.lang.String valueString)

  Constructs a new Where instance using the specified parameters.

Method Detail

### getRel

    public java.lang.String getRel()

### setRel

    public void setRel(java.lang.String v)

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String v)

### getValueString

    public java.lang.String getValueString()

### setValueString

    public void setValueString(java.lang.String v)

### getEntryLink

    public EntryLink<?> getEntryLink()

### setEntryLink

    public void setEntryLink(EntryLink<?> v)

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

  Returns the suggested extension description.

### visitChildren

    protected void visitChildren(ExtensionVisitor ev)
                          throws ExtensionVisitor.StoppedException

  Description copied from class: `ExtensionPoint`
  Called to visit all children of this extension point.

  Overrides:
    `visitChildren` in class `ExtensionPoint`
  Parameters:
    `ev` - the extension visitor.
  Throws:
    `ExtensionVisitor.StoppedException`

### generate

    public void generate(com.google.gdata.util.common.xml.XmlWriter w,
                         ExtensionProfile extProfile)
                  throws java.io.IOException

  Description copied from interface: `Extension`
  Generates an XML representation for the extension.

  Specified by:
    `generate` in interface `Extension`
  Overrides:
    `generate` in class `AbstractExtension`
  Parameters:
    `w` - XML writer
    `extProfile` - extension profile
  Throws:
    `java.io.IOException`

### getHandler

    public XmlParser.ElementHandler getHandler(ExtensionProfile extProfile,
                                               java.lang.String namespace,
                                               java.lang.String localName,
                                               org.xml.sax.Attributes attrs)

  Description copied from class: `AbstractExtension`
  The default implementation uses the `AbstractExtension.AttributesHandler` to handle parsing the extension.

  Specified by:
    `getHandler` in interface `Extension`
  Overrides:
    `getHandler` in class `ExtensionPoint`
  Parameters:
    `extProfile` - extension profile
    `namespace` - extension namespace
    `localName` - tag name, without the namespace prefix
    `attrs` - tag attributes
  Returns:
    an element handler